papi_avail(1)

NAME
papi_avail - papi_avail utility.

file avail.c

Name

papi_avail - provides availability and detail information for PAPI preset and user defined events.

Synopsis

papi_avail [-adht] [-e event]

Description

papi_avail is a PAPI utility program that reports information about the current PAPI installation and supported preset and user defined events.

Options

•   -a Display only the available PAPI events.
•   -c Display only the available PAPI events after a check.
•   -d Display PAPI event information in a more detailed format.
•   -h Display help information about this utility.
•   -t Display the PAPI event information in a tabular format. This is the default.
•   -e < event > Display detailed event information for the named event. This event can be a preset event, a user defined event, or a native event. If the event is a preset or a user defined event the output shows a list of native events the event is based on and the formula that is used to compute the events final value.

Bugs
There are no known bugs in this utility. If you find a bug, it should be reported to the PAPI Mailing List at ptools-perfapi@ptools.org.

See Also:
    PAPI_derived_event_files